De la « compatibilité » d’un système Gentoo avec la FSF

Certains le savent déjà, j’utilise Gentoo comme distribution et ce pour différentes raisons, la principale étant de m’assurer de participer au réchauffement climatique, ce qui n’est pas du luxe vu l’hiver qu’on a eu.

Je cherchais depuis quelque temps un moyen de m’assurer rapidement de ne pas avoir de logiciel non libre au sens de la FSF sur mon système. En utilisant la dernière version de portage :

zsh/2 1009 % emerge --version
Portage 2.2_rc67 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-gentoo x86_64)

voilà ce que j’obtiens :

zsh/2 1020 % ACCEPT_LICENSE="-* @FSF-APPROVED" emerge -puDN @world
These are the packages that would be merged, in order:
Calculating dependencies... done!
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
kde-base/kdeedu-meta:4.5 kde-base/kdewebdev-meta:4.5 kde-base/kdemultimedia-meta:4.5 kde-base/kdegames-meta:4.5 kde-base/kdepim-meta:4.5 kde-base/jovie:4.5 kde-base/kdeutils-meta:4.5 kde-base/kdeartwork-meta:4.5 kde-base/kdeadmin-meta:4.5 kde-base/kdenetwork-meta:4.5 kde-base/kdetoys-meta:4.5 kde-base/kdeaccessibility-meta:4.5 kde-base/kdegraphics-meta:4.5
!!! The following updates are masked by LICENSE changes:
- app-text/opensp-1.5.2-r2 (masked by: JamesClark license(s))
A copy of the 'JamesClark' license is located at '/usr/portage/licenses/JamesClark'.
- dev-lang/yasm-1.0.1 (masked by: Artistic license(s))
A copy of the 'Artistic' license is located at '/usr/portage/licenses/Artistic'.
- app-editors/kile-2.1_beta4 (masked by: FDL-1.2 license(s))
A copy of the 'FDL-1.2' license is located at '/usr/portage/licenses/FDL-1.2'.
- app-arch/p7zip-9.13 (masked by: unRAR license(s))
A copy of the 'unRAR' license is located at '/usr/portage/licenses/unRAR'.
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
!!! All ebuilds that could satisfy "dev-java/icedtea6-bin" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-java/icedtea6-bin-1.8.0 (masked by: GPL-2-with-linking-exception license(s))
A copy of the 'GPL-2-with-linking-exception' license is located at '/usr/portage/licenses/GPL-2-with-linking-exception'.
- dev-java/icedtea6-bin-1.7.2 (masked by: GPL-2-with-linking-exception license(s))
(dependency required by "virtual/jdk-1.6.0" [installed])
(dependency required by "dev-java/xjavac-20041208-r5" [installed])
(dependency required by "dev-java/xerces-2.9.1" [installed])
(dependency required by "dev-java/xalan-2.7.1" [installed])
(dependency required by "dev-java/icedtea-6.1.8.0" [installed])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

Tagcloud
Ubuntu automontage kernel authentification orgcamp NetworkManager Internet identification PSL Science-Fiction JDLL postfix Opinions Gentoo Éducation Iptables OSM rubber sympa GNU-Linux Educ Libre PlanetUbuntuFr PlanetUbuntu nfs UbuntuFr Mathématiques auto hébergement Python compilation dovecot Mozilla Mandriva Emacs Perso eCryptfs April Drupal beamer automatisation shell DNS Voile Mutt orgmode Société LDAP Réflexions SNCF configuration Épinay redmine sqlite php CAPES Spam OpenVPN CPL dotclear ISN vélo mail installation OpenSSL GCC X.org sudo ArchLinux fail vserver IPv6 Debian Coups de gueule LaTeX Admin Sys Free Parinux RaspberryPi Vie numérique Essai sieve gpg vim fun Randonnée SPF OpenStack Informatique Coup de gueule Lectures Paris Web imap RATP Technique CLI code KDE roundcube Munin